#include "stdafx.h"
#include "CompositeSimulationResult.h"
#include "MultipleSimulationResultDTO.h"

void CompositeSimulationResult::addSimulationResult(AbstractSimulationResultDTO* _abstractResultDTO)
{
	components->push_back(_abstractResultDTO);
}

bool CompositeSimulationResult::deleteSimulationResult(AbstractSimulationResultDTO* _abstractResultDTO)
{
	throw "Not Implemented Exception";
}


int CompositeSimulationResult::getType()
{
	return -1;
}

string CompositeSimulationResult::getID()
{
	throw "Not Implemented Exception";
}

bool CompositeSimulationResult::isLeaf(){
	return false;
}

list<AbstractSimulationResultDTO*>* CompositeSimulationResult::getChildren(){
	return components;
}
